%global pypi_name decorator

Name:           python3-%{pypi_name}
Version:        4.0.10
Release:        2%{?dist}
Summary:        Module to simplify usage of decorators

License:        BSD
URL:            https://github.com/micheles/decorator
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
The aim of the decorator module is to simplify the usage of decorators for
the average programmer, and to popularize decorators usage giving examples
of useful decorators, such as memoize, tracing, redirecting_stdout, locked,
etc.  The core of this module is a decorator factory called decorator.


%package -n python%{python3_pkgversion}-decorator
Summary:        Module to simplify usage of decorators in python3
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-devel
%{?python_provide:%python_provide python%{python3_pkgversion}-decorator}

%description -n python%{python3_pkgversion}-decorator
The aim of the decorator module is to simplify the usage of decorators for
the average programmer, and to popularize decorators usage giving examples
of useful decorators, such as memoize, tracing, redirecting_stdout, locked,
etc.  The core of this module is a decorator factory called decorator.


%prep
%autosetup -n %{pypi_name}-%{version}


%build
%py3_build


%install
%py3_install


%check
%{__python3} setup.py test


%files -n python%{python3_pkgversion}-%{pypi_name}
%doc docs/README.rst
%license LICENSE.txt
%{python3_sitelib}/decorator.py
%{python3_sitelib}/decorator-*.egg-info/
%{python3_sitelib}/__pycache__/*


%changelog
* Tue Nov 1 2016 Orion Poplawski <orion@cora.nwra.com> - 4.0.10-2
- Fix name

* Thu Oct 13 2016 Orion Poplawski <orion@cora.nwra.com> - 4.0.10-1
- Initial EPEL package
